> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get collection access keys

GET https://api.getpostman.com/collection-access-keys

Gets the authenticated user's personal and team [collection access keys](https://learning.postman.com/docs/developer/postman-api/authentication/#generate-a-collection-access-key).

**Note:**

- The `expiresAfter` property in the response represents the date and time at which the access key expires. Collection access keys are valid for 60 days. If unused, the access key expires after 60 days. If someone uses the access key, then its expiration date increases by another 60 days.
- If the collection key is unused, the `lastUsedAt` property in the response returns an empty string.


Reference: https://learning.postman.com/api-docs/api-reference/collection-access-keys/get-collection-access-keys

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /collection-access-keys:
    get:
      operationId: getCollectionAccessKeys
      summary: Get collection access keys
      description: >
        Gets the authenticated user's personal and team [collection access
        keys](https://learning.postman.com/docs/developer/postman-api/authentication/#generate-a-collection-access-key).


        **Note:**


        - The `expiresAfter` property in the response represents the date and
        time at which the access key expires. Collection access keys are valid
        for 60 days. If unused, the access key expires after 60 days. If someone
        uses the access key, then its expiration date increases by another 60
        days.

        - If the collection key is unused, the `lastUsedAt` property in the
        response returns an empty string.
      tags:
        - collectionAccessKeys
      parameters:
        - name: collectionId
          in: query
          description: Filter the results by a collection's unique ID.
          required: false
          schema:
            $ref: '#/components/schemas/collectionUidQuery'
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getCollectionAccessKeys'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCollectionAccessKeysRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCollectionAccessKeysRequestUnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCollectionAccessKeysRequestForbiddenError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCollectionAccessKeysRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    collectionUidQuery:
      type: string
      format: uid
      title: collectionUidQuery
    cursor:
      type: string
      title: cursor
    GetCollectionAccessKeysDataItemsStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
      description: The token's active status.
      title: GetCollectionAccessKeysDataItemsStatus
    GetCollectionAccessKeysDataItems:
      type: object
      properties:
        id:
          type: string
          description: The collection access key's ID.
        token:
          type: string
          description: The masked collection access key.
        status:
          $ref: '#/components/schemas/GetCollectionAccessKeysDataItemsStatus'
          description: The token's active status.
        teamId:
          type: integer
          description: The team ID of the collection access key's owner.
        userId:
          type: integer
          description: The user ID of the collection access key's owner.
        collectionId:
          type: string
          format: uid
          description: The collection access key's associated collection ID.
        expiresAfter:
          type: string
          format: date-time
          description: >-
            The date and time at which the collection access key expires.
            Collection access keys are valid for 60 days. If unused, the access
            key expires after 60 days. If someone uses the access key, then its
            expiration date increases by another 60 days.
        lastUsedAt:
          type: string
          description: >-
            The date and time at which the collection access key was used. If
            the collection key is unused, this returns an empty string value.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the collection access key was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the collection access key was updated.
        deletedAt:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time at which the collection access key was revoked.
      description: Information about the collection access key.
      title: GetCollectionAccessKeysDataItems
    GetCollectionAccessKeysMeta:
      type: object
      properties:
        nextCursor:
          type: string
          description: >-
            The pagination cursor that points to the next record in the results
            set.
        prevCursor:
          type: string
          description: The pagination cursor to previous set of response data.
      description: The response's non-standard metadata information.
      title: GetCollectionAccessKeysMeta
    getCollectionAccessKeys:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetCollectionAccessKeysDataItems'
          description: A list of collection access keys.
        meta:
          $ref: '#/components/schemas/GetCollectionAccessKeysMeta'
          description: The response's non-standard metadata information.
      title: getCollectionAccessKeys
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageDetailsErrorDetails:
      oneOf:
        - type: object
          additionalProperties:
            description: Any type
        - type: array
          items:
            type: string
      description: Information about the error.
      title: CommonErrorNameMessageDetailsErrorDetails
    CommonErrorNameMessageDetailsError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
        details:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsErrorDetails'
          description: Information about the error.
      title: CommonErrorNameMessageDetailsError
    commonErrorNameMessageDetails:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsError'
      title: commonErrorNameMessageDetails
    GetCollectionAccessKeysRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessageDetails'
      title: GetCollectionAccessKeysRequestBadRequestError
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetCollectionAccessKeysRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetCollectionAccessKeysRequestUnauthorizedError
    GetCollectionAccessKeysRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetCollectionAccessKeysRequestForbiddenError
    GetCollectionAccessKeysRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetCollectionAccessKeysRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "data": [
    {
      "id": "Njg5OjU3MDQ1NjYtYmQxZDU3NzktMWVkNS00ZDhjLWI0ZmQtZWRhOGY2Mzg1NTY0",
      "token": "PMAT-**********************43BR",
      "status": "ACTIVE",
      "teamId": 123,
      "userId": 12345678,
      "collectionId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "expiresAfter": "2024-06-11T13:21:11.000Z",
      "lastUsedAt": "",
      "createdAt": "2024-04-12T13:21:11.000Z",
      "updatedAt": "2024-04-09T11:00:53.000Z"
    },
    {
      "id": "K7yJPzQ18BC7Snm09PXL12RMmnq57hQorFJW8JnCKhQ11JmNQiTlgXnQ1p93jGYN",
      "token": "PMAT-**********************51FZ",
      "status": "ACTIVE",
      "teamId": 123,
      "userId": 56781234,
      "collectionId": "56781234-68e5e7ac-c134-45f4-9770-40e72f3fc474",
      "expiresAfter": "2024-06-11T13:21:11.000Z",
      "lastUsedAt": "2024-04-29T08:24:23.000Z",
      "createdAt": "2024-04-22T10:11:00.000Z",
      "updatedAt": "2024-04-22T10:11:00.000Z"
    }
  ],
  "meta": {
    "nextCursor": "b2Zmc2V0PTEwJmxpbWl0PTEw",
    "prevCursor": ""
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/collection-access-keys"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/collection-access-keys';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/collection-access-keys"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/collection-access-keys")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/collection-access-keys")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/collection-access-keys', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/collection-access-keys");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/collection-access-keys")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```